StaxDataBinding.XMLStreamDataWriter (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.databinding.stax, class: StaxDataBinding, class: XMLStreamDataWriter

Package org.apache.cxf.databinding.stax

# Class StaxDataBinding.XMLStreamDataWriter

java.lang.Object
org.apache.cxf.databinding.stax.StaxDataBinding.XMLStreamDataWriter

All Implemented Interfaces:
  `DataWriter<XMLStreamWriter>`

Enclosing class:
  StaxDataBinding

public static class StaxDataBinding.XMLStreamDataWriter extends Object implements DataWriter<XMLStreamWriter>

- ## Field Summary

  ### Fields inherited from interface org.apache.cxf.databinding.DataWriter

  `ENDPOINT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLStreamDataWriter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAttachments(Collection<Attachment> attachments)`
  Attach a collection of attachments to this writer.
  `void`
  `setProperty(String key, Object value)`
  Set a property for the writer.
  `void`
  `setSchema(Schema s)`
  Attach a schema to the writer.
  `void`
  `write(Object obj, XMLStreamWriter writer)`
  Write an object to an output sink.
  `void`
  `write(Object obj, MessagePartInfo part, XMLStreamWriter output)`
  Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLStreamDataWriter

    public XMLStreamDataWriter()

- ## Method Details

  - ### write

    public void write(Object obj, MessagePartInfo part, XMLStreamWriter output)
    Description copied from interface: `DataWriter`
    Write an object to an output sink, including extra processing based on the WSDL service model for a particular message part.
    Specified by:
      `write` in interface `DataWriter<XMLStreamWriter>`
    Parameters:
      `obj` - The object to write.
      `part` - the message part.
      `output` - the output sink.

  - ### write

    public void write(Object obj, XMLStreamWriter writer)
    Description copied from interface: `DataWriter`
    Write an object to an output sink.
    Specified by:
      `write` in interface `DataWriter<XMLStreamWriter>`
    Parameters:
      `obj` - the object to write.
      `writer` - the output sink.

  - ### setSchema

    public void setSchema(Schema s)
    Description copied from interface: `DataWriter`
    Attach a schema to the writer. If the binding supports validation, it will validate the XML that it produces (assuming that it produces XML).
    Specified by:
      `setSchema` in interface `DataWriter<XMLStreamWriter>`
    Parameters:
      `s` - the schema.

  - ### setAttachments

    public void setAttachments(Collection<Attachment> attachments)
    Description copied from interface: `DataWriter`
    Attach a collection of attachments to this writer.
    Specified by:
      `setAttachments` in interface `DataWriter<XMLStreamWriter>`

  - ### setProperty

    public void setProperty(String key, Object value)
    Description copied from interface: `DataWriter`
    Set a property for the writer.
    Specified by:
      `setProperty` in interface `DataWriter<XMLStreamWriter>`
    Parameters:
      `key` - property key
      `value` - property value.